package io.gitlab.jfronny.respackopts.model;

import io.gitlab.jfronny.commons.serialize.databind.api.SerializeWithAdapter;
import io.gitlab.jfronny.commons.serialize.generator.annotations.GSerializable;
import io.gitlab.jfronny.respackopts.gson.entry.ConfigBranchSerializer;
import io.gitlab.jfronny.respackopts.model.enums.PackCapability;
import io.gitlab.jfronny.respackopts.model.tree.ConfigBranch;

import java.util.HashSet;
import java.util.Set;

@GSerializable
public class PackMeta {
    public ConfigBranch conf;
    public String id;
    public Integer version;
    public Set<PackCapability> capabilities = new HashSet<>(Set.of(PackCapability.FileFilter));
}
